Package org.opensaml.xacml.profile.saml

# Interface XACMLPolicyStatementType

All Superinterfaces:
  `SAMLObject`, `Statement`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `XACMLPolicyStatementTypeImpl`

public interface XACMLPolicyStatementType extends Statement, XACMLObject
A SAML XACML profile XACMLPolicyStatement schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML10`
Default element name for XACML 1.0.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML11`
Default element name for XACML 1.1.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML20`
Default element name for XACML 2.0.
`static final QName`
`DEFAULT_ELEMENT_NAME_XACML30`
Default element name for XACML 3.0.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME_XACML10`
QName of the XSI type.XACML1.0.
`static final QName`
`TYPE_NAME_XACML11`
QName of the XSI type.XACML1.1.
`static final QName`
`TYPE_NAME_XACML20`
QName of the XSI type.XACML2.0.
`static final QName`
`TYPE_NAME_XACML30`
QName of the XSI type.XACML3.0.

### Fields inherited from interface org.opensaml.saml.saml2.core.Statement

`DEFAULT_ELEMENT_NAME, TYPE_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<PolicyType>`
`getPolicies()`
Return the XACMLPolicy inside the policy statement.
`List<PolicySetType>`
`getPolicySets()`
Return the XACMLPolicySet inside the policy statement.
`ReferencedPoliciesType`
`getReferencedPolicies()`
Gets the referenced policies.
`void`
`setReferencedPolicies(ReferencedPoliciesType policies)`
Sets the referenced policies.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME_XACML10

static final QName DEFAULT_ELEMENT_NAME_XACML10
Default element name for XACML 1.0.

### DEFAULT_ELEMENT_NAME_XACML11

static final QName DEFAULT_ELEMENT_NAME_XACML11
Default element name for XACML 1.1.

### DEFAULT_ELEMENT_NAME_XACML20

static final QName DEFAULT_ELEMENT_NAME_XACML20
Default element name for XACML 2.0.

### DEFAULT_ELEMENT_NAME_XACML30

static final QName DEFAULT_ELEMENT_NAME_XACML30
Default element name for XACML 3.0.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME_XACML10

static final QName TYPE_NAME_XACML10
QName of the XSI type.XACML1.0.

### TYPE_NAME_XACML11

static final QName TYPE_NAME_XACML11
QName of the XSI type.XACML1.1.

### TYPE_NAME_XACML20

static final QName TYPE_NAME_XACML20
QName of the XSI type.XACML2.0.

### TYPE_NAME_XACML30

static final QName TYPE_NAME_XACML30
QName of the XSI type.XACML3.0.

## Method Details

### getPolicies

List<PolicyType> getPolicies()
Return the XACMLPolicy inside the policy statement.

Returns:
  the Policy

### getPolicySets

List<PolicySetType> getPolicySets()
Return the XACMLPolicySet inside the policy statement.

Returns:
  the PolicySet

### getReferencedPolicies

ReferencedPoliciesType getReferencedPolicies()
Gets the referenced policies.

Returns:
  referenced policies

### setReferencedPolicies

void setReferencedPolicies(ReferencedPoliciesType policies)
Sets the referenced policies.

Parameters:
  `policies` - the referenced policies